List environments
curl --request GET \
--url https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/environment \
--header 'Authorization: Bearer <token>' \
--header 'Tenant-Id: <tenant-id>'import requests
url = "https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/environment"
headers = {
"Tenant-Id": "<tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Tenant-Id': '<tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/environment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"edges": [
{
"node": {
"id": "<string>",
"sk": "<string>",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"aws_region": "us-east-1",
"aws_account_id": "<string>",
"status": "CLONED",
"total_resources": 123,
"env_variables": [
{
"id": "<string>",
"name": "<string>",
"value": "<string>",
"sensitive": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"actor": "<string>"
}
],
"webhooks": [
{
"id": "<string>",
"events": [
"<string>"
],
"endpoint": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"last_workflow_id": "<string>",
"stack_info": "<string>",
"bootstraped_info": {
"artifacts_bucket_arn": "<string>",
"artifacts_bucket_name": "<string>",
"openid_role_arn": "<string>",
"openid_role_name": "<string>"
},
"month_cost": {
"cost": 123,
"cost_unit": "<string>",
"max_day_cost": 123,
"min_day_cost": 123,
"average_day_cost": 123
}
},
"cursor": "<string>"
}
],
"pageInfo": {
"endCursor": "<string>",
"hasNextPage": true
}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}Environments
List environments
GET
/
environment
List environments
Authorizations
BearerAuthApiKeyAuth
Bearer token in the Authorization header (e.g. JWT / Cognito access token).
Headers
ID of the tenant (current tenant context).
Query Parameters
Maximum number of items to return.
Required range:
x >= 1Opaque cursor for the next page of results.